<template>
  <div>
    <div class="container pt-5 pb-4 text-md-justify">
      <div
        class="h1 d-flex align-items-md-center flex-column flex-md-row align-items-start justify-content-center"
      >
        <div class="text-uppercase">{{ $t('universe.factions.title') }}</div>
      </div>

      <div v-html="$marked($t('universe.factions.text'))"></div>
    </div>

    <div class="bg-section-gradient section-border-top section-border-bottom">
      <div class="container pt-4 pb-4 text-md-justify">
        <div class="row mt-4">
          <div class="col-md-6">
            <div
              class="h2 d-flex align-items-md-center flex-column flex-md-row align-items-start justify-content-end"
            >
              <div class="text-uppercase">
                {{ $t('universe.factions.kami.title') }}
              </div>
            </div>
            <div class="text-md-justify">
              <b-img-lazy
                :alt="$t('universe.factions.kami.title')"
                src="~/assets/images/figurine_kami.png"
                class="float-right float-md-left mr-0 mr-md-4 ml-4 ml-md-0 mb-4 figurine"
              />

              <div v-html="$marked($t('universe.factions.kami.text'))"></div>
            </div>
          </div>
          <div class="col-md-6">
            <div
              class="h2 d-flex align-items-md-center flex-column flex-md-row align-items-start"
            >
              <div class="text-uppercase">
                {{ $t('universe.factions.karavan.title') }}
              </div>
            </div>
            <div class="text-md-justify">
              <b-img-lazy
                :alt="$t('universe.factions.karavan.title')"
                src="~/assets/images/figurine_karavan.png"
                class="float-right ml-4 mb-4 figurine"
              />

              <div v-html="$marked($t('universe.factions.karavan.text'))"></div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="container pt-4 pb-4 text-md-justify">
      <div class="row mt-4">
        <div class="col-md-6">
          <div
            class="h2 d-flex align-items-md-center flex-column flex-md-row align-items-start justify-content-end"
          >
            <div class="text-uppercase">
              {{ $t('universe.factions.marauder.title') }}
            </div>
          </div>

          <div v-html="$marked($t('universe.factions.marauder.text'))"></div>
        </div>
        <div class="col-md-6 mt-4 mt-md-0">
          <div
            class="h2 d-flex align-items-md-center flex-column flex-md-row align-items-start"
          >
            <div class="text-uppercase">
              {{ $t('universe.factions.ranger.title') }}
            </div>
          </div>

          <div v-html="$marked($t('universe.factions.ranger.text'))"></div>
        </div>
      </div>
    </div>

    <div class="bg-section-gradient section-border-top section-border-bottom">
      <div class="container pt-4 pb-4 text-md-justify">
        <div class="row mt-4">
          <div class="col-md-6">
            <div
              class="h2 d-flex align-items-md-center flex-column flex-md-row align-items-start justify-content-end"
            >
              <div class="text-uppercase">
                {{ $t('universe.factions.trytonist.title') }}
              </div>
            </div>

            <div v-html="$marked($t('universe.factions.trytonist.text'))"></div>
          </div>
          <div class="col-md-6 mt-4 mt-md-0">
            <div
              class="h2 d-flex align-items-md-center flex-column flex-md-row align-items-start"
            >
              <div class="text-uppercase">
                {{ $t('universe.factions.neutral.title') }}
              </div>
            </div>

            <div v-html="$marked($t('universe.factions.neutral.text'))"></div>
          </div>
        </div>
      </div>
    </div>

    <div class="container extended mt-5 mb-5 pb-2">
      <div class="row">
        <div class="col-4">
          <b-img-lazy
            :src="
              require('~/assets/images/screenshot/faction_karavan2.jpg?resize&size=550')
                .src
            "
            alt=""
            class="full-width"
          />
        </div>
        <div class="col-4">
          <b-img-lazy
            :src="
              require('~/assets/images/screenshot/faction_kami.jpg?resize&size=550')
                .src
            "
            alt=""
            class="full-width"
          />
        </div>
        <div class="col-4">
          <b-img-lazy
            :src="
              require('~/assets/images/screenshot/faction_maraudeur.jpg?resize&size=550')
                .src
            "
            alt=""
            class="full-width"
          />
        </div>
      </div>
    </div>
  </div>
</template>

<style scoped>
img.figurine {
  width: 34%;
}

@media (max-width: 991.98px) {
  img.figurine {
    width: 25%;
  }
}
</style>
